Internal site. Jolli authentication required to view.
Skip to Content
API ReferencePipeline CRUDDELETE /v0/pipelines/{pipeline_name}

Delete Pipeline

DELETE/v0/pipelines/{pipeline_name}Pipeline CRUD

Try it

DELETE/v0/pipelines/{pipeline_name}
Authentication
Parameters

Delete an existing pipeline by name.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
pipeline_namestringYesUnique pipeline name

Response

200Pipeline successfully deleted
400Pipeline must be fully stopped and cleared to be deletedapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
404Pipeline with that name does not existapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X DELETE 'https://api.example.com/v0/pipelines/{pipeline_name}' \ -H 'Authorization: Bearer YOUR_TOKEN'
Response
{ "message": "Cannot delete a pipeline which is not fully stopped. Stop the pipeline first fully by invoking the '/stop' endpoint.", "error_code": "DeleteRestrictedToFullyStopped", "details": null }